Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Interface NLSLibrary

All Known Subinterfaces:
  CatalogNLSLibrary, ReportNLSLibrary

    public interface NLSLibrary

Method Summary
`boolean` | `containsLocale(java.util.Locale locale)` Tests whether a locale is contained in the NLS Library.
`java.util.List<java.util.Locale>` | `getAvailableLocales()` Gets all locales in the NLS Library.
`java.util.List<FontNLSEntry>` | `getFontNLSEntries(java.util.Locale locale)` Gets all Font NLS Entry(FontNLSEntry) bond with a locale in the NLS Library.
`FontNLSEntry` | `getFontNLSEntry(java.util.Locale locale, java.lang.String orginalFaceName, int orginalPointSize)` Gets a special Font NLS Entry(FontNLSEntry) from the NLS Library.
`java.util.List<FormatNLSEntry>` | `getFormatNLSEntries(java.util.Locale locale)` Gets all Format NLS Entry(FormatNLSEntry) bond with a locale in the NLS Library.
`FormatNLSEntry` | `getFormatNLSEntry(java.util.Locale locale, java.lang.String keyFormat)` Gets a Format NLS Entry(FormatNLSEntry) from the NLS Library.
`java.util.List<NLSEntry>` | `getNLSEntries(java.util.Locale locale)` Gets all the NLS entries bond with a locale in the NLS Library.
`java.util.List<TextNLSEntry>` | `getTextNLSEntries(java.util.Locale locale)` Gets all Text NLS Entry(TextNLSEntry) bond with a locale in the NLS Library.
`TextNLSEntry` | `getTextNLSEntry(java.util.Locale locale, NLSType type, java.lang.String keyText)` Gets a Text NLS Entry(TextNLSEntry) from the NLS Library.
`boolean` | `removeFontNLSEntries(java.util.Locale locale, java.util.List<FontNLSEntry> entries)` Removes some Font NLS entries from the NLS Library.
`boolean` | `removeFontNLSEntry(java.util.Locale locale, FontNLSEntry entry)` Removes a Font NLS Entry from the NLS Library.
`boolean` | `removeFormatNLSEntries(java.util.Locale locale, java.util.List<FormatNLSEntry> entries)` Removes some Format NLS entries from the NLS Library.
`boolean` | `removeFormatNLSEntry(java.util.Locale locale, FormatNLSEntry entry)` Removes a Format NLS Entry from the NLS Library.
`boolean` | `removeNLSEntries(java.util.Locale locale)` Removes a locale and all NLS entries bond with the locale from the NLS Library.
`boolean` | `removeNLSEntries(java.util.Locale locale, java.util.List<NLSEntry> entries)` Removes some NLS entries from the NLS Library.
`boolean` | `removeNLSEntry(java.util.Locale locale, NLSEntry entry)` Removes a NLS entry from the NLS Library.
`boolean` | `removeTextNLSEntries(java.util.Locale locale, java.util.List<TextNLSEntry> entries)` Removes some Text NLS entries from the NLS Library.
`boolean` | `removeTextNLSEntry(java.util.Locale locale, TextNLSEntry entry)` Removes a Text NLS Entry from the NLS Library.
`void` | `updateFontNLSEntries(java.util.Locale locale, java.util.List<FontNLSEntry> entries)` Updates the Font NLS Entries bond with a locale in the NLS Library.
`void` | `updateFontNLSEntry(java.util.Locale locale, FontNLSEntry entry)` Updates a Font NLS Entry bond with a locale in the NLS Library.
`void` | `updateFormatNLSEntries(java.util.Locale locale, java.util.List<FormatNLSEntry> entries)` Updates the Format NLS Entries bond with a locale in the NLS Library.
`void` | `updateFormatNLSEntry(java.util.Locale locale, FormatNLSEntry entry)` Updates a Format NLS Entry bond with a locale in the NLS Library.
`void` | `updateNLSEntries(java.util.Locale locale, java.util.List<NLSEntry> entries)` Updates all the NLS Entries bond with a locale in the NLS Library.
`void` | `updateNLSEntry(java.util.Locale locale, NLSEntry entry)` Updates a NLS Entry bond with a locale in the NLS Library.
`void` | `updateTextNLSEntries(java.util.Locale locale, java.util.List<TextNLSEntry> entries)` Updates the Text NLS Entries bond with a locale in the NLS Library.
`void` | `updateTextNLSEntry(java.util.Locale locale, TextNLSEntry entry)` Updates a Text NLS Entry bond with a locale in the NLS Library.

Method Detail

### getAvailableLocales

    java.util.List<java.util.Locale> getAvailableLocales()

  Gets all locales in the NLS Library.

  Returns:
    A List which contain all locales.

### containsLocale

    boolean containsLocale(java.util.Locale locale)

  Tests whether a locale is contained in the NLS Library.

  Parameters:
    `locale` - The locale to test.
  Returns:
    Return True if the NLS Library contain it, otherwise false.

### getNLSEntries

    java.util.List<NLSEntry> getNLSEntries(java.util.Locale locale)

  Gets all the NLS entries bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the NLS entries.
  Returns:
    A list which contains all NLS entries, the NLS entry is one of TextNLSEntry FormatNLSEntry and FontNLSEntry.

### getTextNLSEntries

    java.util.List<TextNLSEntry> getTextNLSEntries(java.util.Locale locale)

  Gets all Text NLS Entry(TextNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Text NLS entries.
  Returns:
    A list which contains all Text NLS Entry(TextNLSEntry).

### getFormatNLSEntries

    java.util.List<FormatNLSEntry> getFormatNLSEntries(java.util.Locale locale)

  Gets all Format NLS Entry(FormatNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Format NLS entries.
  Returns:
    A list which contains all Format NLS Entry(FormatNLSEntry).

### getFontNLSEntries

    java.util.List<FontNLSEntry> getFontNLSEntries(java.util.Locale locale)

  Gets all Font NLS Entry(FontNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Font NLS entries.
  Returns:
    A list which contains all Font NLS Entry(FontNLSEntry).

### getTextNLSEntry

    TextNLSEntry getTextNLSEntry(java.util.Locale locale,
                                 NLSType type,
                                 java.lang.String keyText)

  Gets a Text NLS Entry(TextNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entry was bond with.
    `type` - The type of the Text NLS Entry.
    `keyText` - The keyText of the Text NLS Entry.
  Returns:
    A TextNLSEntry, it maybe null if there is no Text NLS Entry specified by the type and keyText in the NLS Library.

### getFormatNLSEntry

    FormatNLSEntry getFormatNLSEntry(java.util.Locale locale,
                                     java.lang.String keyFormat)

  Gets a Format NLS Entry(FormatNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entry was bond with.
    `keyFormat` - The keyFormat of the Format NLS Entry.
  Returns:
    A FormatNLSEntry, it maybe null if there is no Format NLS Entry specified by the keyFormat in the NLS Library.

### getFontNLSEntry

    FontNLSEntry getFontNLSEntry(java.util.Locale locale,
                                 java.lang.String orginalFaceName,
                                 int orginalPointSize)

  Gets a special Font NLS Entry(FontNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry was bond with.
    `orginalFaceName` - The orginalFaceName of the Font NLS Entry.
    `orginalPointSize` - The orginalPointSize of the Font NLS Entry.
  Returns:
    A FontNLSEntry, it maybe null if there is no Font NLS Entry specified by the orginalFaceName and orginalPointSize in the NLS Library.

### updateNLSEntries

    void updateNLSEntries(java.util.Locale locale,
                          java.util.List<NLSEntry> entries)

  Updates all the NLS Entries bond with a locale in the NLS Library. After updating, the old NLS Entries bond with the locale will be removed, and the NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the NLS entries bond with.
    `entries` - The NLS entries bond with a locale.

### updateTextNLSEntries

    void updateTextNLSEntries(java.util.Locale locale,
                              java.util.List<TextNLSEntry> entries)

  Updates the Text NLS Entries bond with a locale in the NLS Library. After updating, the old Text NLS Entries bond with the locale will be removed, and the Text NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Text NLS Entries bond with.
    `entries` - The Text NLS entries bond with the locale.

### updateFormatNLSEntries

    void updateFormatNLSEntries(java.util.Locale locale,
                                java.util.List<FormatNLSEntry> entries)

  Updates the Format NLS Entries bond with a locale in the NLS Library. After updating, the old Format NLS Entries bond with the locale will be removed, and the Format NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Format NLS Entries bond with.
    `entries` - The Format NLS entries bond with the locale.

### updateFontNLSEntries

    void updateFontNLSEntries(java.util.Locale locale,
                              java.util.List<FontNLSEntry> entries)

  Updates the Font NLS Entries bond with a locale in the NLS Library. After updating, the old Font NLS Entries bond with the locale will be removed, and the Font NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Font NLS Entries bond with.
    `entries` - The Font NLS entries bond with the locale.

### updateNLSEntry

    void updateNLSEntry(java.util.Locale locale,
                        NLSEntry entry)

  Updates a NLS Entry bond with a locale in the NLS Library. If there is a same NLS Entry in the NLS Library already, it will be replaced. Otherwise, a NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entry bond with.
    `entry` - The NLS entry bond with the locale.

### updateTextNLSEntry

    void updateTextNLSEntry(java.util.Locale locale,
                            TextNLSEntry entry)

  Updates a Text NLS Entry bond with a locale in the NLS Library. If there is a same Text NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Text NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale the Text NLS Entry bond with.
    `entry` - The Text NLS entry bond with the locale.

### updateFormatNLSEntry

    void updateFormatNLSEntry(java.util.Locale locale,
                              FormatNLSEntry entry)

  Updates a Format NLS Entry bond with a locale in the NLS Library. If there is a same Format NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Format NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale the Format NLS Entry bond with.
    `entry` - The Format NLS entry bond with the locale.

### updateFontNLSEntry

    void updateFontNLSEntry(java.util.Locale locale,
                            FontNLSEntry entry)

  Updates a Font NLS Entry bond with a locale in the NLS Library. If there is a same Font NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Font NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry bond with.
    `entry` - The Font NLS entry bond with the locale.

### removeNLSEntries

    boolean removeNLSEntries(java.util.Locale locale)

  Removes a locale and all NLS entries bond with the locale from the NLS Library.

  Parameters:
    `locale` - The locale which you want to remove.
  Returns:
    Return true if the locale contained in the NLS Library.

### removeNLSEntries

    boolean removeNLSEntries(java.util.Locale locale,
                             java.util.List<NLSEntry> entries)

  Removes some NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a NLS Entry contained in the NLS Library, otherwise false.

### removeTextNLSEntries

    boolean removeTextNLSEntries(java.util.Locale locale,
                                 java.util.List<TextNLSEntry> entries)

  Removes some Text NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Text NLS Entry contained in the NLS Library, otherwise false.

### removeFormatNLSEntries

    boolean removeFormatNLSEntries(java.util.Locale locale,
                                   java.util.List<FormatNLSEntry> entries)

  Removes some Format NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Format NLS Entry contained in the NLS Library, otherwise false.

### removeFontNLSEntries

    boolean removeFontNLSEntries(java.util.Locale locale,
                                 java.util.List<FontNLSEntry> entries)

  Removes some Font NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Font NLS Entry contained in the NLS Library, otherwise false.

### removeNLSEntry

    boolean removeNLSEntry(java.util.Locale locale,
                           NLSEntry entry)

  Removes a NLS entry from the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the NLS Entry contained in the NLS Library, otherwise false.

### removeTextNLSEntry

    boolean removeTextNLSEntry(java.util.Locale locale,
                               TextNLSEntry entry)

  Removes a Text NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Text NLS Entry contained in the NLS Library, otherwise false.

### removeFormatNLSEntry

    boolean removeFormatNLSEntry(java.util.Locale locale,
                                 FormatNLSEntry entry)

  Removes a Format NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Format NLS Entry contained in the NLS Library, otherwise false.

### removeFontNLSEntry

    boolean removeFontNLSEntry(java.util.Locale locale,
                               FontNLSEntry entry)

  Removes a Font NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Font NLS Entry contained in the NLS Library, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD